Name:           sezpoz
Version:        1.10
Release:        4%{?dist}
Summary:        Lightweight Java library that lets you perform modular service lookups

License:        CDDL
URL:            https://github.com/jglick/sezpoz
Source0:        https://github.com/jglick/%{name}/archive/pom-%{version}.tar.gz
Source1:        https://netbeans.org/cddl.txt

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:      noarch

%description
SezPoz is a lightweight and easy-to-learn library that lets you
perform modular service lookups. It provides some of the same
capabilities as (for example) java.util.ServiceLoader, but SezPoz
has some special advantages. The service registrations are made
just using type-checked Java annotations. There are no configuration
files to edit.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-pom-%{version}

cp %{SOURCE1} LICENSE

# We don't need demos (4 jars)
%pom_disable_module demo

%pom_remove_plugin :animal-sniffer-maven-plugin sezpoz
%pom_remove_dep :animal-sniffer-annotations sezpoz
sed -i '/IgnoreJRERequirement/d' sezpoz/src/main/java/net/java/sezpoz/impl/Indexer6.java

%build
%mvn_build

%install
%mvn_install


%files -f .mfiles
%doc LICENSE
%files javadoc -f .mfiles-javadoc
%doc LICENSE


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 30 2015 Michal Srb <msrb@redhat.com> - 1.10-1
- Update to upstream release 1.10
- Enable tests
- Fix URL

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.9-3
- Use Requires: java-headless rebuild (#1067528)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 03 2013 Michal Srb <msrb@redhat.com> - 1.9-1
- Update to latest version 1.9
- Install license file

* Thu May 02 2013 Michal Srb <msrb@redhat.com> - 1.5-1
- Initial package

